Skip to main content
POST
Get the rate schedule for a contract

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Max number of results that should be returned

Required range: 1 <= x <= 100
next_page
string

Cursor that indicates where the next page of results should start.

Body

application/json

Contract rate schedule filter options.

customer_id
string<uuid>
required

ID of the customer for whose contract to get the rate schedule for.

contract_id
string<uuid>
required

ID of the contract to get the rate schedule for.

at
string<date-time>

optional timestamp which overlaps with the returned rate schedule segments. When not specified, the current timestamp will be used.

selectors
object[]

List of rate selectors, rates matching ANY of the selectors will be included in the response. Passing no selectors will result in all rates being returned.

Response

200 - application/json

Success

data
object[]
required
next_page
string | null